# Invoice Extraction and Standardization API

This API allows you to upload an invoice image and extract its details in a standardized JSON format. The extracted data is merged with a master template to ensure consistency across different invoices.

## Features

- Upload an invoice image and receive extracted data in JSON format.
- Standardize the JSON output with a predefined master template.
- Ensure consistency in units and metrics across different invoices.

## Setup Instructions

### Prerequisites

- Node.js (version 14 or later)
- npm (version 6 or later)

### Installation

1. **Clone the Repository**:
   ```bash
   git clone <repository-url>
   cd <repository-directory>
   ```
2. **Install Dependencies**:
   ```bash
   npm install
   ```
3. **Create a .env file**
    ```bash
    MISTRAL_API_KEY=your_mistral_api_key_here
    ```
4. **Start the server by running:**
    ```bash
    node server.js
    ```
